<?php

use App\Enums\Permission;
use App\Http\Controllers\Api\Master\CustomerApiController;
use Illuminate\Support\Facades\Route;

Route::middleware(['web', 'auth'])->name('api.')->group(function () {
    Route::prefix('master')->name('master.')->group(function () {
        Route::prefix('customers')->name('customers.')->group(function () {
            Route::post('/', [CustomerApiController::class, 'store'])
                ->middleware('permission:'.Permission::CUSTOMERS_CREATE->value)
                ->name('store');
        });
    });
});
